Bug 1076387 - [abrt] claws-mail: summary_delete_row(): claws-mail killed by SIGSEGV
Summary: [abrt] claws-mail: summary_delete_row(): claws-mail killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: claws-mail
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:bdd00f7d556c098b913cfb5fb12...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-14 09:45 UTC by Alois Mahdal
Modified: 2015-01-05 07:36 UTC (History)
1 user (show)

Fixed In Version: claws-mail-plugins-3.11.1-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-30 23:49:33 UTC


Attachments (Terms of Use)
File: backtrace (65.01 KB, text/plain)
2014-03-14 09:45 UTC, Alois Mahdal
no flags Details
File: cgroup (173 bytes, text/plain)
2014-03-14 09:45 UTC, Alois Mahdal
no flags Details
File: core_backtrace (27.96 KB, text/plain)
2014-03-14 09:45 UTC, Alois Mahdal
no flags Details
File: dso_list (14.66 KB, text/plain)
2014-03-14 09:45 UTC, Alois Mahdal
no flags Details
File: environ (1.82 KB, text/plain)
2014-03-14 09:45 UTC, Alois Mahdal
no flags Details
File: exploitable (82 bytes, text/plain)
2014-03-14 09:45 UTC, Alois Mahdal
no flags Details
File: limits (1.29 KB, text/plain)
2014-03-14 09:45 UTC, Alois Mahdal
no flags Details
File: maps (71.91 KB, text/plain)
2014-03-14 09:45 UTC, Alois Mahdal
no flags Details
File: open_fds (1.35 KB, text/plain)
2014-03-14 09:45 UTC, Alois Mahdal
no flags Details
File: proc_pid_status (963 bytes, text/plain)
2014-03-14 09:45 UTC, Alois Mahdal
no flags Details
File: var_log_messages (600 bytes, text/plain)
2014-03-14 09:45 UTC, Alois Mahdal
no flags Details

Description Alois Mahdal 2014-03-14 09:45:19 UTC
Description of problem:
In the morning I opened Zimbra web interface and found several new messages and an invitation to a meeting. So I accepted the meeting (I do this with Zimbra interface since due to bug in Zimbra it does not work perfectly when accepted via IMAP/SMTP), then I switched to claws-mail, which already had all these e-mails in Inbox and went to delete the invitation ("hard" delete with the shredder icon).  That's when CM crashed.

Note that as I am currently writing this, I have already opened CM again and found that Kerberos ticket is expired.  I'm not sure exactly when, but ig might indicate that the ticket expired somewhere in the meantime ... last e-mail was from 10:00, and the crash was about 10:30.  It may be also worth noting that the new instance of CM did not have those ~7 emails in Inbox, althought this is probably OK.

Version-Release number of selected component:
claws-mail-3.9.3-1.fc20

Additional info:
reporter:       libreport-2.1.12
backtrace_rating: 4
cmdline:        claws-mail
crash_function: summary_delete_row
executable:     /usr/bin/claws-mail
kernel:         3.13.6-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            22482

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 summary_delete_row at summaryview.c:4306
 #1 summary_delete at summaryview.c:4409
 #2 toolbar_delete_cb at toolbar.c:1173
 #3 _g_closure_invoke_va at gclosure.c:840
 #5 g_signal_emit_by_name at gsignal.c:3426
 #6 _g_closure_invoke_va at gclosure.c:840
 #9 gtk_real_button_released at gtkbutton.c:1712
 #10 _g_closure_invoke_va at gclosure.c:840
 #13 gtk_button_button_release at gtkbutton.c:1604
 #14 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:86

Comment 1 Alois Mahdal 2014-03-14 09:45:23 UTC
Created attachment 874291 [details]
File: backtrace

Comment 2 Alois Mahdal 2014-03-14 09:45:25 UTC
Created attachment 874292 [details]
File: cgroup

Comment 3 Alois Mahdal 2014-03-14 09:45:27 UTC
Created attachment 874293 [details]
File: core_backtrace

Comment 4 Alois Mahdal 2014-03-14 09:45:30 UTC
Created attachment 874294 [details]
File: dso_list

Comment 5 Alois Mahdal 2014-03-14 09:45:33 UTC
Created attachment 874295 [details]
File: environ

Comment 6 Alois Mahdal 2014-03-14 09:45:35 UTC
Created attachment 874296 [details]
File: exploitable

Comment 7 Alois Mahdal 2014-03-14 09:45:37 UTC
Created attachment 874297 [details]
File: limits

Comment 8 Alois Mahdal 2014-03-14 09:45:41 UTC
Created attachment 874298 [details]
File: maps

Comment 9 Alois Mahdal 2014-03-14 09:45:43 UTC
Created attachment 874299 [details]
File: open_fds

Comment 10 Alois Mahdal 2014-03-14 09:45:45 UTC
Created attachment 874300 [details]
File: proc_pid_status

Comment 11 Alois Mahdal 2014-03-14 09:45:47 UTC
Created attachment 874301 [details]
File: var_log_messages

Comment 12 Michael Schwendt 2014-05-01 14:38:25 UTC
> #2  0x0000000000571c5c in toolbar_delete_cb (widget=<optimized out>,
> data=<optimized out>) at toolbar.c:1173

So, is it reproducible for you and how?

In case it only crashed once and spontaneously, note that a couple of crashes of Claws Mail are just side-effects (caused by memory corruption and/or race conditions letting the code work with pointers to freed data), i.e. it can crash in arbitrary places. Recently, there have been several bug-fixes upstream that will stop some of those side-effects.

For example, losing/interrupting networking during a current IMAP session would make Claws Mail crash in seemingly arbitrary places (not limited to glibc memory management).


This will need retesting once a new version of Claws Mail (or Test Update) will be available.

Comment 13 Fedora Update System 2014-05-26 21:17:17 UTC
claws-mail-3.10.0-1.fc20,claws-mail-plugins-3.10.0-1.fc20,libetpan-1.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/claws-mail-3.10.0-1.fc20,claws-mail-plugins-3.10.0-1.fc20,libetpan-1.5-1.fc20

Comment 14 Fedora Update System 2014-05-26 21:17:50 UTC
claws-mail-3.10.0-1.fc19,claws-mail-plugins-3.10.0-1.fc19,libetpan-1.5-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/claws-mail-3.10.0-1.fc19,claws-mail-plugins-3.10.0-1.fc19,libetpan-1.5-1.fc19

Comment 15 Fedora Update System 2014-05-28 02:56:25 UTC
Package claws-mail-3.10.0-1.fc19, claws-mail-plugins-3.10.0-1.fc19, libetpan-1.5-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing claws-mail-3.10.0-1.fc19 claws-mail-plugins-3.10.0-1.fc19 libetpan-1.5-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-6774/claws-mail-3.10.0-1.fc19,claws-mail-plugins-3.10.0-1.fc19,libetpan-1.5-1.fc19
then log in and leave karma (feedback).

Comment 16 Fedora Update System 2014-05-30 23:49:33 UTC
claws-mail-3.10.0-1.fc20, claws-mail-plugins-3.10.0-1.fc20, libetpan-1.5-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2014-11-02 17:51:43 UTC
claws-mail-plugins-3.11.1-1.fc19,claws-mail-3.11.1-2.fc19,libetpan-1.6-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/claws-mail-plugins-3.11.1-1.fc19,claws-mail-3.11.1-2.fc19,libetpan-1.6-1.fc19

Comment 18 Fedora Update System 2014-11-02 17:52:19 UTC
claws-mail-plugins-3.11.1-1.fc20,claws-mail-3.11.1-2.fc20,libetpan-1.6-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/claws-mail-plugins-3.11.1-1.fc20,claws-mail-3.11.1-2.fc20,libetpan-1.6-1.fc20

Comment 19 Fedora Update System 2014-11-02 17:54:59 UTC
claws-mail-plugins-3.11.1-1.fc21,claws-mail-3.11.1-2.fc21,libetpan-1.6-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/claws-mail-plugins-3.11.1-1.fc21,claws-mail-3.11.1-2.fc21,libetpan-1.6-1.fc21

Comment 20 Fedora Update System 2014-11-10 06:30:07 UTC
claws-mail-plugins-3.11.1-1.fc20, claws-mail-3.11.1-2.fc20, libetpan-1.6-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2014-11-10 06:33:52 UTC
claws-mail-plugins-3.11.1-1.fc21, claws-mail-3.11.1-2.fc21, libetpan-1.6-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2015-01-05 07:36:17 UTC
claws-mail-plugins-3.11.1-1.fc19, claws-mail-3.11.1-2.fc19, libetpan-1.6-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.